MediaWiki talk:Common.css: Difference between revisions

From Project Gorgon
Jump to navigation Jump to search
No edit summary
Trimoon (talk | contribs)
KBD: new section
Line 25: Line 25:
:--[[User:Trimoon|Trimoon]] ([[User talk:Trimoon|talk]]) 07:33, 10 April 2016 (CDT)
:--[[User:Trimoon|Trimoon]] ([[User talk:Trimoon|talk]]) 07:33, 10 April 2016 (CDT)
:: Added it. [[User:BetaNotus|BetaNotus]] ([[User talk:BetaNotus|talk]]) 10:31, 10 April 2016 (CDT)
:: Added it. [[User:BetaNotus|BetaNotus]] ([[User talk:BetaNotus|talk]]) 10:31, 10 April 2016 (CDT)
== KBD ==
{{ping|BetaNotus}}Could you add the below CSS, it will make keyboard input stand out better visually.<br/>
For example see the keys in the tables under [[General_gameplay_tips/Basics#Controls]].
<code lang="css"><pre>
kbd {
border: 2px solid gray;
color: white;
border-radius: .5em;
background-color: black;
padding: 2px;
}
</pre></code>
--[[User:Trimoon|Trimoon]] ([[User talk:Trimoon|talk]]) 06:50, 21 April 2016 (CDT)

Revision as of 11:50, 21 April 2016

What is this?

This is the master style-sheet for everything on the wiki. Send me a message (My profile's talk page, or via the forums) if you want something added to it. BetaNotus (talk) 11:26, 23 January 2015 (CST)

Documentation CSS

Could someone add the following to this stylesheet?

/* Documentation template */
.template-documentation .color1 {
  background-color: #36C;
  color: white;
}

It will make the header and footer of the documentation look better when a template uses the {{documentation}} template.
--Trimoon (talk) 13:20, 9 April 2016 (CDT)

Added it. BetaNotus (talk) 10:31, 10 April 2016 (CDT)
This CSS will make it look even better with the links also white-colored.
.template-documentation .color1,
#bodyContent .template-documentation .color1 a,
#bodyContent .template-documentation .color1 a.external
{
    background-color:#36C;
    color:white;
}
--Trimoon (talk) 07:33, 10 April 2016 (CDT)
Added it. BetaNotus (talk) 10:31, 10 April 2016 (CDT)

KBD

Template:PingCould you add the below CSS, it will make keyboard input stand out better visually.
For example see the keys in the tables under General_gameplay_tips/Basics#Controls.

kbd {
	border: 2px solid gray;
	color: white;
	border-radius: .5em;
	background-color: black;
	padding: 2px;
}

--Trimoon (talk) 06:50, 21 April 2016 (CDT)